%global _gitver	ff7641193a
Name:		novacom-client
Version:	1.1.0
Release:	0.11.rc1.git.%{_gitver}%{?dist}
Summary:	Client for utility to connect to WebOS devices
Group:		Development/Tools
License:	ASL 2.0
URL:		https://github.com/openwebos/novacom
# git clone https://github.com/openwebos/novacom.git
# cd novacom
# git archive --prefix=novacom-git-ff7641193a/ --format tar.gz -o ../novacom-git-ff7641193a.tar.gz ff7641193a
Source0:	novacom-git-%{_gitver}.tar.gz
Source1:	novaterm
# This patch forces the makefile to use our CFLAGS and link properly
Patch0:		novacom-makefile-fixes.patch
Patch1:		novacom-remove-base64.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Novacom allows you to connect to WebOS devices that are connected over USB.
You must have novacom-server installed to use it.

%package -n novacom
Summary:	Utility to connect to WebOS devices
Group:		Development/Tools
Requires:	novacom-client = %{version}-%{release}
Requires:	novacom-server

%description -n novacom
Novacom allows you to connect to WebOS devices that are connected over USB.

This package installs both the client and the server.  To use the client, you
must first start the server using 'systemctl start novacomd.service' as root,
and then run 'novacom' as a regular user.

%prep
%setup -q -n novacom-git-%{_gitver}
%patch0 -p1
%patch1 -p1
# Remove bundled base64 library that's available in libtomcrypt
rm -f src/base64.c src/base64.h

%build
make LDFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 build-novacom/novacom $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.md
%{_bindir}/novacom
%{_bindir}/novaterm

%files -n novacom
%doc README.md

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-0.11.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.10.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.9.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.8.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.7.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.6.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.5.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May  7 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.4.rc1.git.ff7641193a
- Fix Requires for novacom

* Thu Apr 26 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.3.rc1.git.ff7641193a
- Remove unused base64 functions
- Use consistent RPM_OPT_FLAGS and RPM_BUILD_ROOT variables
- Change define macro to global
- Remove unnecessary BR: glibc-devel

* Thu Apr 12 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.2.rc1.git.ff7641193a
- Rename to novacom-client and add novacom subpackage that pulls in both
  -client and -server
- Remove unneeded defattr line

* Mon Apr  2 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.1.rc1.git.ff7641193a
- Initial release
